local flashColors = {
	skincolors[SKINCOLOR_WHITEA],
	skincolors[SKINCOLOR_BONEA],
	skincolors[SKINCOLOR_CLOUDYA],
	skincolors[SKINCOLOR_GREYA],
	skincolors[SKINCOLOR_SILVERA],
	skincolors[SKINCOLOR_CARBONA],
	skincolors[SKINCOLOR_JETA],
	skincolors[SKINCOLOR_BLACKA],
	skincolors[SKINCOLOR_AETHERA],
	skincolors[SKINCOLOR_SLATEA],
	skincolors[SKINCOLOR_BLUEBELLA],
	skincolors[SKINCOLOR_PINKA],
	skincolors[SKINCOLOR_YOGURTA],
	skincolors[SKINCOLOR_BROWNA],
	skincolors[SKINCOLOR_BRONZEA],
	skincolors[SKINCOLOR_TANA],
	skincolors[SKINCOLOR_BEIGEA],
	skincolors[SKINCOLOR_MOSSA],
	skincolors[SKINCOLOR_AZUREA],
	skincolors[SKINCOLOR_LAVENDERA],
	skincolors[SKINCOLOR_RUBYA],
	skincolors[SKINCOLOR_SALMONA],
	skincolors[SKINCOLOR_REDA],
	skincolors[SKINCOLOR_CRIMSONA],
	skincolors[SKINCOLOR_FLAMEA],
	skincolors[SKINCOLOR_KETCHUPA],
	skincolors[SKINCOLOR_PEACHYA],
	skincolors[SKINCOLOR_QUAILA],
	skincolors[SKINCOLOR_SUNSETA],
	skincolors[SKINCOLOR_COPPERA],
	skincolors[SKINCOLOR_APRICOTA],
	skincolors[SKINCOLOR_ORANGEA],
	skincolors[SKINCOLOR_RUSTA],
	skincolors[SKINCOLOR_GOLDA],
	skincolors[SKINCOLOR_SANDYA],
	skincolors[SKINCOLOR_YELLOWA],
	skincolors[SKINCOLOR_OLIVEA],
	skincolors[SKINCOLOR_LIMEA],
	skincolors[SKINCOLOR_PERIDOTA],
	skincolors[SKINCOLOR_APPLEA],
	skincolors[SKINCOLOR_GREENA],
	skincolors[SKINCOLOR_FORESTA],
	skincolors[SKINCOLOR_EMERALDA],
	skincolors[SKINCOLOR_MINTA],
	skincolors[SKINCOLOR_SEAFOAMA],
	skincolors[SKINCOLOR_AQUAA],
	skincolors[SKINCOLOR_TEALA],
	skincolors[SKINCOLOR_WAVEA],
	skincolors[SKINCOLOR_CYANA],
	skincolors[SKINCOLOR_SKYA],
	skincolors[SKINCOLOR_CERULEANA],
	skincolors[SKINCOLOR_ICYA],
	skincolors[SKINCOLOR_SAPPHIREA],
	skincolors[SKINCOLOR_CORNFLOWERA],
	skincolors[SKINCOLOR_BLUEA],
	skincolors[SKINCOLOR_COBALTA],
	skincolors[SKINCOLOR_VAPORA],
	skincolors[SKINCOLOR_DUSKA],
	skincolors[SKINCOLOR_PASTELA],
	skincolors[SKINCOLOR_PURPLEA],
	skincolors[SKINCOLOR_BUBBLEGUMA],
	skincolors[SKINCOLOR_MAGENTAA],
	skincolors[SKINCOLOR_NEONA],
	skincolors[SKINCOLOR_VIOLETA],
	skincolors[SKINCOLOR_LILACA],
	skincolors[SKINCOLOR_PLUMA],
	skincolors[SKINCOLOR_RASPBERRYA],
	skincolors[SKINCOLOR_ROSYA]
}
local flashDelay = 1 //change this to how many tics it takes to animate

local rampPos = 1
local rampDir = true
local ramps = {}

for curcol = 1, table.maxn(flashColors), 1
	ramps[curcol] = {{}}
	for i = 0, 15, 1
		ramps[curcol][1][i+1] = flashColors[curcol].ramp[i]
	end

	for i = 2, 16,1
		ramps[curcol][i] = {{}}

		for pos,val in ipairs(ramps[curcol][i-1]) do
			if not (pos == 16) then
				ramps[curcol][i][pos+1] = val
			else
				ramps[curcol][i][1] = val
			end
		end
	end
end

local function RampWave()
	if not (leveltime % flashDelay) then

		rampPos = $1+1
		
		//too high, time to go back
		if not (ramps[1][rampPos])
			rampPos = 1
		end
		
		for i = 1, table.maxn(ramps), 1
			flashColors[i].ramp = ramps[i][rampPos]
		end
	end
end

addHook("ThinkFrame", RampWave)